1.69.1 crashes upon launch

For test results, bug reports, announcements of new builds etc.

Moderators: another_commander, winston, Getafix

User avatar
nijineko
---- E L I T E ----
---- E L I T E ----
Posts: 353
Joined: Wed Jul 04, 2007 3:37 pm
Location: two strange quarks short of a graviton....
Contact:

Post by nijineko »

now if only i can manage to get it downloaded without the transfer rate dropping to 0!!! =D
arukibito ga michi wo erabu no ka, michi ga arukibito wo erabu no deshou ka?

Image
Play games. Win Amazon gift cards! Brag. Repeat.

User avatar
JensAyton
Grand Admiral Emeritus
Grand Admiral Emeritus
Posts: 6657
Joined: Sat Apr 02, 2005 2:43 pm
Location: Sweden
Contact:

Post by JensAyton »

Commander McLane wrote:I guess it won't try to load OXPs from another version's addons-folder, would it? Because I still do have 1.65, 1.68 and 1.69 in my applications.
It won’t try to load from the AddOns folder next to the application. If you have OXPs in ~/Library/Application Support/Oolite/AddOns/, it will load those. The log file (now at ~/Library/Logs/Oolite/Latest.log) should list all loaded OXPs by default.

User avatar
Commander McLane
Intergalactic Spam Assassin
Intergalactic Spam Assassin
Posts: 9520
Joined: Thu Dec 14, 2006 9:08 am
Location: a Hacker Outpost in a moderately remote area
Contact:

Post by Commander McLane »

Ahruman wrote:
Commander McLane wrote:I guess it won't try to load OXPs from another version's addons-folder, would it? Because I still do have 1.65, 1.68 and 1.69 in my applications.
It won’t try to load from the AddOns folder next to the application. If you have OXPs in ~/Library/Application Support/Oolite/AddOns/, it will load those. The log file (now at ~/Library/Logs/Oolite/Latest.log) should list all loaded OXPs by default.
No, don't have anything in those. Nothing in Latest.log as well.

User avatar
nijineko
---- E L I T E ----
---- E L I T E ----
Posts: 353
Joined: Wed Jul 04, 2007 3:37 pm
Location: two strange quarks short of a graviton....
Contact:

Post by nijineko »

Ahruman wrote:It won’t try to load from the AddOns folder next to the application. If you have OXPs in ~/Library/Application Support/Oolite/AddOns/, it will load those.
eh? do explain please. cause i have nothing in the ~/Library/.../AddOns/, and everything in the AddOns next to the app. ^^ course, since it's obviously loading them, i guess there are no problems. other than the ones i've already mentioned.... =D

edit: wooot! i can play again! the test fix seems to be working. =D
Last edited by nijineko on Wed Jul 18, 2007 12:55 am, edited 1 time in total.
arukibito ga michi wo erabu no ka, michi ga arukibito wo erabu no deshou ka?

Image
Play games. Win Amazon gift cards! Brag. Repeat.

User avatar
JensAyton
Grand Admiral Emeritus
Grand Admiral Emeritus
Posts: 6657
Joined: Sat Apr 02, 2005 2:43 pm
Location: Sweden
Contact:

Post by JensAyton »

nijineko wrote:
Ahruman wrote:It won’t try to load from the AddOns folder next to the application. If you have OXPs in ~/Library/Application Support/Oolite/AddOns/, it will load those.
eh? do explain please. cause i have nothing in the ~/Library/.../AddOns/, and everything in the AddOns next to the app.
Er, that is to say: it won’t try to load from the AddOns folder next to other versions of the application.

The bug seems to have been related to updating to libpng 1.2.18. Since that was a bug fix for a part of the library we’re not using, I switched back to the previous version, 1.2.16, for the secret test version I wasn’t mentioning in public (hint, hint). I’ll do an updater tomorrow.

User avatar
nijineko
---- E L I T E ----
---- E L I T E ----
Posts: 353
Joined: Wed Jul 04, 2007 3:37 pm
Location: two strange quarks short of a graviton....
Contact:

Post by nijineko »

nijineko wrote: edit: wooot! i can play again! the test fix seems to be working. =D
secret test version? what secret test version? *^^*

:oops: (whoops, my bad.) :oops:

(in any case, if there is a next time, it doesn't take smashing into the station more than once to pick up that kind of lesson.)
arukibito ga michi wo erabu no ka, michi ga arukibito wo erabu no deshou ka?

Image
Play games. Win Amazon gift cards! Brag. Repeat.

User avatar
Cmdr James
Commodore
Commodore
Posts: 1275
Joined: Tue Jun 05, 2007 10:43 pm
Location: Berlin

Post by Cmdr James »

Ahruman wrote:
nijineko wrote:
Ahruman wrote:It won’t try to load from the AddOns folder next to the application. If you have OXPs in ~/Library/Application Support/Oolite/AddOns/, it will load those.
eh? do explain please. cause i have nothing in the ~/Library/.../AddOns/, and everything in the AddOns next to the app.
Er, that is to say: it won’t try to load from the AddOns folder next to other versions of the application.

The bug seems to have been related to updating to libpng 1.2.18. Since that was a bug fix for a part of the library we’re not using, I switched back to the previous version, 1.2.16, for the secret test version I wasn’t mentioning in public (hint, hint). I’ll do an updater tomorrow.
Thats interesting, when I use 1.2.18, I get compile errors on the project, due to assigning a read only variable in pnggccrd.c

User avatar
JensAyton
Grand Admiral Emeritus
Grand Admiral Emeritus
Posts: 6657
Joined: Sat Apr 02, 2005 2:43 pm
Location: Sweden
Contact:

Post by JensAyton »

Ahh, yes. I commented that bit out – it’s old do-nothing code to avoid unused variable warnings. I don’t think it’s related to the crash at the start of png_read_row that was causing the problem. The primary documented change between 1.2.16 and 1.2.18 is a vulnerability in reading of ‘tRNS’ chunks, which doesn’t affect the Mac build of Oolite (‘tRNS’ reading is disabled in pngusr.h).

Edit: the 1.2.16 source is available from SourceForge. I’ve updated the wiki.

User avatar
Eric Walch
Slightly Grand Rear Admiral
Slightly Grand Rear Admiral
Posts: 5536
Joined: Sat Jun 16, 2007 3:48 pm
Location: Netherlands

Post by Eric Walch »

Last weekend I downloaded the 1.69.1.1 updater and used it on version 1.65

On starting oolite it says : Faling to start up, unandled exeption occured:

OoliteOpenGLTooOldExeption

I don't know wat it means, but some file seems to be missing or not updated.

I run it under OSX.4.6

User avatar
JensAyton
Grand Admiral Emeritus
Grand Admiral Emeritus
Posts: 6657
Joined: Sat Apr 02, 2005 2:43 pm
Location: Sweden
Contact:

Post by JensAyton »

This is a bug in Oolite 1.69-1.69.1.1 where the version check for OpenGL required OpenGL 1.2 instead of OpenGL 1.1. This has already been fixed in the mainline; I’m preparing a 1.69.1.2 updater which fixes this (and this only).

User avatar
Eric Walch
Slightly Grand Rear Admiral
Slightly Grand Rear Admiral
Posts: 5536
Joined: Sat Jun 16, 2007 3:48 pm
Location: Netherlands

Post by Eric Walch »

On testing the trumbles yesterday I stumbled over another bug. On starting Oolite I always press "Y" for loading an old game. Yesterday I started a lot of "New" games. A few times I hit accidently the "Y" and used a cancel in the next "open file" dialog.

In version 1.65 this left you with a new captain.

In version 1.69.1 (Mac) you are brought back to the choice Y/N but it does not react on either and leaves no option but to quit oolite.

User avatar
JensAyton
Grand Admiral Emeritus
Grand Admiral Emeritus
Posts: 6657
Joined: Sat Apr 02, 2005 2:43 pm
Location: Sweden
Contact:

Post by JensAyton »

Actually, you’ve got a new captain and are on the F5 screen. This is a known bug, #11691.

Post Reply